Bug 1341260 - [ipv6autoconf] - Engine should not configure IPv6 on host install
Summary: [ipv6autoconf] - Engine should not configure IPv6 on host install
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Network
Version: 4.0.0
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: ovirt-4.0.0-rc
: 4.0.0
Assignee: Yevgeny Zaspitsky
QA Contact: Michael Burman
URL:
Whiteboard:
Depends On: 1332076
Blocks: RHEV_IPv6
TreeView+ depends on / blocked
 
Reported: 2016-05-31 15:13 UTC by Yevgeny Zaspitsky
Modified: 2016-09-13 05:38 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1332076
Environment:
Last Closed: 2016-07-05 07:50:33 UTC
oVirt Team: Network
rule-engine: ovirt-4.0.0+
rule-engine: blocker+
rule-engine: planning_ack+
danken: devel_ack+
myakove: testing_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 58228 0 master MERGED engine: Skip configuring IPv6 on mgmt network upon host install 2016-06-08 06:02:01 UTC
oVirt gerrit 58693 0 ovirt-engine-4.0 MERGED engine: Skip configuring IPv6 on mgmt network upon host install 2016-06-08 07:08:10 UTC

Description Yevgeny Zaspitsky 2016-05-31 15:13:22 UTC
+++ This bug was initially created as a clone of Bug #1332076 +++

Description of problem:
[ipv6autoconf] - Vdsm reconfigure network with u'ipv6autoconf': False every reboot. 

As vdsm recognize a change on a network between the current and the persistent configuration for the ipv6autoconf property, it's touching and reconfigure the networks every reboot with:
persisted: {u'ipv6autoconf': False,

supervdsm.log --> 

restore-net::INFO::2016-05-02 08:52:40,410::vdsm-restore-net-config::283::root::(_find_changed_or_missing) ovirtmgmt is different or missing from persistent configuration. current: {'nic': 'enp4s0', 'dhcpv6': Fals
e, 'mtu': 1500, 'switch': 'legacy', 'bootproto': 'dhcp', 'stp': False, 'bridged': True, 'defaultRoute': True}, persisted: {u'ipv6autoconf': False, u'nic': u'enp4s0', u'mtu': 1500, u'switch': u'legacy', u'dhcpv6': 
False, u'stp': False, u'bridged': True, u'defaultRoute': True, u'bootproto': u'dhcp'}
restore-net::INFO::2016-05-02 08:52:40,410::vdsm-restore-net-config::283::root::(_find_changed_or_missing) n-3 is different or missing from persistent configuration. current: {'nic': 'ens1f0', 'ipaddr': '5.5.5.5',
 'netmask': '255.255.255.0', 'mtu': 1500, 'switch': 'legacy', 'dhcpv6': False, 'stp': False, 'bridged': True, 'defaultRoute': False, 'bootproto': 'none'}, persisted: {u'ipv6autoconf': False, u'nic': u'ens1f0', u'i
paddr': u'5.5.5.5', u'netmask': u'255.255.255.0', u'mtu': 1500, u'switch': u'legacy', u'dhcpv6': False, u'stp': False, u'bridged': True, 'defaultRoute': False, 'bootproto': 'none'}


Version-Release number of selected component (if applicable):
vdsm-4.17.999-1032.git4e6068b.el7.centos.noarch
vdsm-4.17.999-988.git74ab551.el7.centos.noarch
4.0.0-0.0.master.20160423161403.gite38df80.el7.centos

How reproducible:
100

Steps to Reproduce:
1. Add host(vdsm 4.0) to 4.0 engine 
2. Attach some networks to host via setup networks
3. Reboot server and check the supervdsm.log 

Actual results:
vdsm recognize a difference between what was persistent and the current configuration for networks on the ipv6autoconf property and reconfigure the networks every reboot

Expected results:
vdsm shouldn't reconfigure the networks every reboot with 
{u'ipv6autoconf': False

--- Additional comment from Michael Burman on 2016-05-02 04:53:32 EDT ---

This is correct for u'ipv6autoconf': True as well

restore-net::INFO::2016-05-02 11:49:16,531::vdsm-restore-net-config::283::root::(_find_changed_or_missing) ovirtmgmt is different or missing from persistent configuration. current: {'nic': 'enp4s0', 'dhcpv6': Fals
e, 'mtu': 1500, 'switch': 'legacy', 'bootproto': 'dhcp', 'stp': False, 'bridged': True, 'defaultRoute': True}, persisted: {u'ipv6autoconf': True, u'nic': u'enp4s0', u'mtu': 1500, u'switch': u'legacy', u'dhcpv6': F
alse, u'stp': False, u'bridged': True, u'defaultRoute': True, u'bootproto': u'dhcp'}

--- Additional comment from Red Hat Bugzilla Rules Engine on 2016-05-04 04:20:07 EDT ---

Bug tickets must have version flags set prior to targeting them to a release. Please ask maintainer to set the correct version flags and only then set the target milestone.

Comment 1 Michael Burman 2016-06-23 07:05:08 UTC
Verified on - 4.0.0.6-0.1.el7ev

Comment 2 Sandro Bonazzola 2016-07-05 07:50:33 UTC
oVirt 4.0.0 has been released, closing current release.


Note You need to log in before you can comment on or make changes to this bug.